import { world, Player, system, Dimension } from "@minecraft/server";
world.afterEvents.entityHitEntity.subscribe((event) => {
  const hitEntity = event.hitEntity
  const damager = event.damagingEntity
  if (hitEntity.typeId == "space:siren_head" && damager.typeId == "minecraft:player") {
    const random = Math.floor(Math.random() * 7);
    if (random == 3) {
      world.getDimension("overworld").runCommandAsync("effect @e[type=space:siren_head] instant_health 1 10 true");
      return;
    } else {
      return;
    }
  } else {
    return;
  }
});

world.afterEvents.entityHurt.subscribe((event) => {
  const damager = event.damageSource.damagingEntity;
  const damaged = event.hurtEntity;
  const damage = event.damage.valueOf;
  if (damager.typeId != "minecraft:player" && damaged.typeId == "space:siren_head") {
    world.getDimension("overworld").runCommandAsync("effect @e[type=space:siren_head] instant_health 1 ${damage} true");
    return;
  } else {
    return;
  }
});

system.beforeEvents.watchdogTerminate.subscribe((event) => {
  event.cancel = true;
});